=== debian/changelog ===
ifupdown-ng (0.11.4~rc1-1build1) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:02:20 +0000

ifupdown-ng (0.11.4~rc1-1) unstable; urgency=medium

  * Initial release. (Closes: #1003796)

 -- Maximilian Wilhelm <max@sdn.clinic>  Sat, 16 Oct 2021 15:40:25 +0200
