## ifupdown-ng 0.12.1

=== Makefile ===
--- 
+++ 
@@ -4,9 +4,10 @@
 LIBBSD_LIBS =
 
 PACKAGE_NAME := ifupdown-ng
-PACKAGE_VERSION := 0.11.3
+PACKAGE_VERSION := 0.12.1
 PACKAGE_BUGREPORT := https://github.com/ifupdown-ng/ifupdown-ng/issues/new
 
+SBINDIR := /sbin
 
 INTERFACES_FILE := /etc/network/interfaces
 STATE_FILE := /run/ifstate
@@ -14,7 +15,8 @@
 EXECUTOR_PATH := /usr/libexec/ifupdown-ng
 
 CFLAGS ?= -ggdb3 -Os
-CFLAGS += -Wall -Wextra
+CFLAGS += -Wall -Wextra -Werror
+CFLAGS += -Wmissing-declarations -Wmissing-prototypes -Wcast-align -Wpointer-arith -Wreturn-type
 CFLAGS += ${LIBBSD_CFLAGS}
 CPPFLAGS = -I.
 CPPFLAGS += -DINTERFACES_FILE=\"${INTERFACES_FILE}\"
@@ -57,7 +59,6 @@
 IFUPDOWN_SRC = cmd/ifupdown.c
 MULTICALL_${CONFIG_IFUPDOWN}_OBJ += ${IFUPDOWN_SRC:.c=.o}
 CMDS_${CONFIG_IFUPDOWN} += ifup ifdown
-CPPFLAGS_${CONFIG_IFUPDOWN} += -DCONFIG_IFUPDOWN
 
 # enable ifquery applet (+4 KB)
 # [+20 KB without ifup/ifdown]
@@ -65,21 +66,18 @@
 IFQUERY_SRC = cmd/ifquery.c
 MULTICALL_${CONFIG_IFQUERY}_OBJ += ${IFQUERY_SRC:.c=.o}
 CMDS_${CONFIG_IFQUERY} += ifquery
-CPPFLAGS_${CONFIG_IFQUERY} += -DCONFIG_IFQUERY
 
 # enable ifctrstat applet (+1 KB)
 CONFIG_IFCTRSTAT ?= Y
 IFCTRSTAT_SRC = cmd/ifctrstat.c cmd/ifctrstat-${LAYOUT}.c
 MULTICALL_${CONFIG_IFCTRSTAT}_OBJ += ${IFCTRSTAT_SRC:.c=.o}
 CMDS_${CONFIG_IFCTRSTAT} += ifctrstat
-CPPFLAGS_${CONFIG_IFCTRSTAT} += -DCONFIG_IFCTRSTAT
 
 # enable ifparse applet (+1 KB)
 CONFIG_IFPARSE ?= Y
 IFPARSE_SRC = cmd/ifparse.c
 MULTICALL_${CONFIG_IFPARSE}_OBJ += ${IFPARSE_SRC:.c=.o}
 CMDS_${CONFIG_IFPARSE} += ifparse
-CPPFLAGS_${CONFIG_IFPARSE} += -DCONFIG_IFPARSE
 
 # enable YAML support (+2 KB)
 CONFIG_YAML ?= Y
@@ -113,11 +111,14 @@
 	vrf \
 	vxlan \
 	wifi \
-	wireguard
+	wireguard \
+	wireguard-quick
 
 EXECUTOR_SCRIPTS ?= ${EXECUTOR_SCRIPTS_CORE} ${EXECUTOR_SCRIPTS_OPT}
 
 EXECUTOR_SCRIPTS_STUB ?=
+
+EXECUTOR_SCRIPTS_NATIVE ?=
 
 TARGET_LIBS = ${LIBIFUPDOWN_LIB}
 LIBS += ${TARGET_LIBS} ${LIBBSD_LIBS}
@@ -143,15 +144,18 @@
 	kyua test || (kyua report --verbose && exit 1)
 
 install: all
-	install -D -m755 ${MULTICALL} ${DESTDIR}/sbin/${MULTICALL}
+	install -D -m755 ${MULTICALL} ${DESTDIR}${SBINDIR}/${MULTICALL}
 	for i in ${CMDS}; do \
-		ln -s /sbin/${MULTICALL} ${DESTDIR}/sbin/$$i; \
+		ln -s ${SBINDIR}/${MULTICALL} ${DESTDIR}${SBINDIR}/$$i; \
 	done
 	for i in ${EXECUTOR_SCRIPTS}; do \
 		install -D -m755 executor-scripts/${LAYOUT}/$$i ${DESTDIR}${EXECUTOR_PATH}/$$i; \
 	done
 	for i in ${EXECUTOR_SCRIPTS_STUB}; do \
 		install -D -m755 executor-scripts/stub/$$i ${DESTDIR}${EXECUTOR_PATH}/$$i; \
+	done
+	for i in ${EXECUTOR_SCRIPTS_NATIVE}; do \
+		install -D -m755 executor-scripts/${LAYOUT}-native/$$i ${DESTDIR}${EXECUTOR_PATH}/$$i; \
 	done
 	install -D -m644 dist/ifupdown-ng.conf.example ${DESTDIR}${CONFIG_FILE}.example
 
@@ -171,7 +175,8 @@
 	doc/interfaces-vrf.5 \
 	doc/interfaces-vxlan.5 \
 	doc/interfaces-wifi.5 \
-	doc/interfaces-wireguard.5
+	doc/interfaces-wireguard.5 \
+	doc/interfaces-wireguard-quick.5
 
 MANPAGES_7 = \
 	doc/ifupdown-executor.7
