=== debian/changelog ===
ifupdown-ng (0.12.1-8) unstable; urgency=medium

  * Ensure networking.service is enabled when installing -compat

 -- Daniel Gröber <dxld@darkboxed.org>  Mon, 13 Oct 2025 11:30:31 +0200

ifupdown-ng (0.12.1-7) unstable; urgency=medium

  * Fix Maintainer metadata

 -- Daniel Gröber <dxld@darkboxed.org>  Tue, 25 Mar 2025 10:10:35 +0100

ifupdown-ng (0.12.1-6) unstable; urgency=medium

  [ Lee Garrett ]
  * Fix typo in package description

  [ Daniel Gröber ]
  * Simplify command-suffix patch
  * man: Mention pattern support in 'source' statement
  * Implement DEP-17 /usr-move (Closes: #1073735)

 -- Daniel Gröber <dxld@darkboxed.org>  Sat, 03 Aug 2024 00:47:43 +0200

ifupdown-ng (0.12.1-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Use the host architecture pkg-config. (Closes: #1070026)

 -- Daniel Gröber <dxld@darkboxed.org>  Mon, 06 May 2024 20:32:54 +0200

ifupdown-ng (0.12.1-4) unstable; urgency=medium

  * Fix FTBFS due to libbsd header location change (Closes: #1066707)
  * Replace B-D pkg-config with pkgconf

 -- Daniel Gröber <dxld@darkboxed.org>  Wed, 13 Mar 2024 15:56:58 +0100

ifupdown-ng (0.12.1-3) unstable; urgency=medium

  * Add missing debian/ifupdown-ng.8
  * Fix no-arch-all build

 -- Daniel Gröber <dxld@darkboxed.org>  Fri, 22 Sep 2023 22:30:29 +0200

ifupdown-ng (0.12.1-2) unstable; urgency=medium

  * Drop no longer used ifupdown-ng.manpages.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 20 Sep 2023 22:35:23 +0200

ifupdown-ng (0.12.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Set upstream metadata fields: Repository.

  [ Daniel Gröber ]
  * New upstream release
  * Fix nonsense janitor commits
  * Fix d/watch
  * Add patch to support ifupdown compatible 'source' include patterns
  * Fix bogus ExecRestart systemd unit stanza (Closes: #1006817)
  * Align systemd service dependencies with ifupdown
  * Drop support for kfreebsd/hurd
  * Remove deprecated lsb-base dependency
  * Promote rdnssd to recommends for IPv6-only support by default
  * Fix co-installability with ifupdown
  * Ensure all make targets run under the same environment
  * Fix conflicting files in /usr/share/man
  * Fix networking script perms
  * Add autopkgtest for coinstallability with traditional ifupdown
  * Fix some pedantic lintian complaints
  * Fix upgrade path from stable not installing ifupdown compat

  [ Andrej Shadura ]
  * Add branch configuration to gbp.conf.
  * Update patch metadata.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 20 Sep 2023 15:45:48 +0200
