=== debian/control ===
Source: ifupdown-ng
Section: admin
Priority: optional
Maintainer: ifupdown-ng Maintainers <team+ifupdown-ng@tracker.debian.org>
Uploaders:
 Daniel Gröber <dxld@darkboxed.org>,
 Maximilian Wilhelm <max@sdn.clinic>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 atf-sh,
 dh-exec,
 kyua,
 libbsd-dev,
 debhelper-compat (= 13),
 pkgconf,
 scdoc,
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/debian/ifupdown-ng.git
Vcs-Browser: https://salsa.debian.org/debian/ifupdown-ng
Homepage: https://github.com/ifupdown-ng/ifupdown-ng
Rules-Requires-Root: no
Description: network interface configuration tool
 ifupdown-ng is a network interface configuration tool that is largely
 compatible with Debian ifupdown, BusyBox ifupdown and Cumulus Networks'
 ifupdown2.
 .
 It is intended as a drop-in replacement for all aforementioned suites and
 provides the well-known ifup/ifdown/ifquery tools as well as ifctrstat to
 query interface statistics via CLI.
 .
 ifupdown-ng provides dependency resolutions between interfaces (physical,
 bond, vlan, bridges, etc.) to configure interfaces in a meaningful order
 independent of their order within the configuration file(s).
 .
 ifupdown-ng currently has support for B.A.T.M.A.N. adv., bonding, bridges,
 MPLS, PPP, regular tunnels + wireguard, VLANs, VRFs, VXLAN, as well as
 setting hardware/driver parameters with ethtool.

Package: ifupdown-ng
Architecture: any
Depends:
 adduser,
 iproute2,
 ${misc:Depends},
 ${net:Depends},
 ${shlibs:Depends},
Recommends:
 ifupdown-ng-compat,
 isc-dhcp-client | dhcp-client,
 rdnssd
Suggests:
 ppp,
 ${net:Suggests},
Multi-Arch: foreign
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: ifupdown-ng-compat
Provides: ifupdown
Conflicts:
 ifupdown,
 ifupdown2,
 ifupdown-ng (<< 0.12.1-1)
Replaces: ifupdown-ng (<< 0.12.1-1)
Architecture: all
Depends: ${misc:Depends}
Description: ${source:Synopsis} -- ifupdown compat
 ${source:Extended-Description}
 .
 This package provides compatibility with traditional ifupdown.
