=== debian/tests/control ===
# Make sure ifupdown and ifupdown-ng are coinstallable
Tests: coinstallable
Depends: ifupdown, ifupdown-ng
Restrictions: superficial
